diff -r -u kernel/Config.in kernel-orig/Config.in
--- kernel/Config.in	Sat Oct 30 15:47:25 1999
+++ kernel-orig/Config.in	Sat Nov 13 00:38:24 1999
@@ -1,8 +1,3 @@
-mainmenu_name 'Memory Technology Devices (MTD)'
-
-mainmenu_option next_comment
-comment 'Memory Technology Devices (MTD)'
-
 tristate 'Memory Technology Device (MTD) support' CONFIG_MTD
 
 if [ "$CONFIG_MTD" != "n" ]; then
@@ -18,5 +13,3 @@
 	dep_tristate 'NFTL (NAND Flash Translation Layer) support' CONFIG_NFTL $CONFIG_MTD
 	dep_tristate 'Direct blockdevice access to MTD devices' CONFIG_MTDBLOCK $CONFIG_MTD
 fi
-
-endmenu
diff -r -u kernel/Makefile kernel-orig/Makefile
--- kernel/Makefile	Sat Nov 13 01:57:39 1999
+++ kernel-orig/Makefile	Sat Nov 13 00:37:53 1999
@@ -21,7 +21,7 @@
 ifeq ($(CONFIG_MTD),y)
   OX_OBJS += mtd.o mapped.o
 else
-  ifeq ($(CONFIG_MTD),m)
+  ifeq ($(CONFIG_MTD_DOC1000),m)
     MX_OBJS += mtd.o mapped.o
   endif
 endif
@@ -90,10 +90,10 @@
   endif
 endif
 
-ifeq ($(CONFIG_MTDBLOCK),y)
+ifeq ($(CONFIG_MTD_BLOCK),y)
   O_OBJS += mtdblock.o
 else
-  ifeq ($(CONFIG_MTDBLOCK),m)
+  ifeq ($(CONFIG_MTD_BLOCK),m)
     M_OBJS += mtdblock.o
   endif
 endif
diff -r -u kernel/doc2000.c kernel-orig/doc2000.c
--- kernel/doc2000.c	Sat Oct 30 17:14:03 1999
+++ kernel-orig/doc2000.c	Sat Oct 30 03:14:13 1999
@@ -888,7 +888,7 @@
 #define __exit
 #endif
 
-int init_doc2000(void)
+static int __init init_doc2000(void)
 {
 	int i;
 	
@@ -931,7 +931,7 @@
 }
 #if LINUX_VERSION_CODE < KERNEL_VERSION(2,3,0)
 #ifndef MODULE
-__initfunc(int init_doc2000(void));
+__initfunc(static int init_doc2000(void));
 #endif
 #else /* V2.3.x */
 module_init(init_doc2000);
diff -r -u kernel/ftl.c kernel-orig/ftl.c
--- kernel/ftl.c	Sat Oct 30 17:13:40 1999
+++ kernel-orig/ftl.c	Sat Oct 30 03:03:06 1999
@@ -1361,7 +1361,7 @@
 #define __exit
 #endif
 
-int init_ftl(void)
+static int __init init_ftl(void)
 {
 	int i;
 	struct mtd_info *mtd;
diff -r -u kernel/mtdblock.c kernel-orig/mtdblock.c
--- kernel/mtdblock.c	Sat Nov 13 02:00:20 1999
+++ kernel-orig/mtdblock.c	Sat Oct 30 03:07:03 1999
@@ -230,7 +230,7 @@
 // init_module - Module entry point					/*{{{*/
 // ---------------------------------------------------------------------
 /* */
-int init_mtdblock(void)
+static int __init init_mtdblock(void)
 {
 
    if (register_blkdev(MAJOR_NR,DEVICE_NAME,&mtd_fops))
diff -r -u kernel/nftl.c kernel-orig/nftl.c
--- kernel/nftl.c	Sat Nov 13 16:53:21 1999
+++ kernel-orig/nftl.c	Sat Oct 30 03:03:25 1999
@@ -4,9 +4,7 @@
 /* Author: David Woodhouse <dwmw2@mvhi.com> */
 /* $Id: nftl.c,v 1.9 1999/10/25 14:55:46 dwmw2 Exp $ */
 
-#ifdef DEBUG
 #define PRERELEASE
-#endif
 
 #include <linux/kernel.h>
 #include <linux/module.h>
@@ -25,8 +23,6 @@
 /* NFTL block device stuff */
 #define MAJOR_NR NFTL_MAJOR
 #define DEVICE_REQUEST nftl_request
-#define DEVICE_NR(device) (MINOR(device))
-#define DEVICE_ON(device)
 #define DEVICE_OFF(device)
 #include <linux/blk.h>
 #include <linux/hdreg.h>
@@ -945,7 +941,7 @@
 	struct NFTLrecord *thisNFTL;
 
 	thisNFTL = NFTLs[MINOR(inode->i_rdev) / 16];
-	
+
 	if (!thisNFTL) return -EINVAL;
 
 
@@ -1124,7 +1120,7 @@
 static struct mtd_notifier nftl_notifier = {NFTL_notify_func, NULL};
 
 
-int init_nftl(void)
+static int __init init_nftl(void)
 {
 	int i;
 	struct mtd_info *mtd;
